<?php

namespace Planaday\Platform\WordpressConfig\Migrations\Version1;

use Planaday\Database\Abstraction\DatabaseHandler;
use Planaday\Entities\DatabaseRefresher;

class MigrateTo1_2_4 {


	public function __construct(
		protected DatabaseHandler $databaseHandler,
		protected DatabaseRefresher $databaseRefresher
	) {}

	public function migrate(): void {
		$this->databaseHandler->rebuildDatabases();
		$this->databaseRefresher->refreshDatabases();
	}
}